Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api.ui
Class TaskListCustomParams

    java.lang.Object
      com.bea.wli.worklist.api.ui.TaskListCustomParams

All Implemented Interfaces:
  Serializable

    public class TaskListCustomParams

extends Object
implements Serializable

BEA Systems, Inc.

See Also:
  Serialized Form

Constructor Summary
`TaskListCustomParams()`

Method Summary
`String[]` | `getAdminStates()`
`String` | `getAssigneeContains()`
`String` | `getClaimantContains()`
`String` | `getColumnsToDisplay()`
`String` | `getComment()`
`Date` | `getCompletionDueDateEnd()`
`Date` | `getCompletionDueDateStart()`
`String` | `getFromPriority()`
`int` | `getMaxResults()`
`int` | `getMaxRowsPerPage()`
`String` | `getOwnerContains()`
`String` | `getTaskIDs()`
`String` | `getTaskNames()`
`String` | `getToPriority()`
`String[]` | `getWorkingStates()`
`boolean` | `isIncludeNullCompletionDueDate()`
`boolean` | `isPreserveColumnDisplay()`
`boolean` | `isPreserveSearchCriteria()`
`void` | `setAdminStates(String[] adminStates)`
`void` | `setAssigneeContains(String assigneeContains)`
`void` | `setClaimantContains(String claimantContains)`
`void` | `setColumnsToDisplay(String columnsToDisplay)`
`void` | `setComment(String comment)`
`void` | `setCompletionDueDateEnd(Date completionDueDateEnd)`
`void` | `setCompletionDueDateStart(Date completionDueDateStart)`
`void` | `setFromPriority(String fromPriority)`
`void` | `setIncludeNullCompletionDueDate(boolean includeNullCompletionDueDate)`
`void` | `setMaxResults(int maxResults)`
`void` | `setMaxRowsPerPage(int maxRowsPerPage)`
`void` | `setOwnerContains(String ownerContains)`
`void` | `setPreserveColumnDisplay(boolean preserveColumnDisplay)`
`void` | `setPreserveSearchCriteria(boolean preserveSearchCriteria)`
`void` | `setTaskIDs(String taskIDs)`
`void` | `setTaskNames(String taskNames)`
`void` | `setToPriority(String toPriority)`
`void` | `setWorkingStates(String[] workingStates)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskListCustomParams

    public TaskListCustomParams()

Method Detail

### getTaskNames

    public String getTaskNames()

### setTaskNames

    public void setTaskNames(String taskNames)

### getTaskIDs

    public String getTaskIDs()

### setTaskIDs

    public void setTaskIDs(String taskIDs)

### getWorkingStates

    public String[] getWorkingStates()

### setWorkingStates

    public void setWorkingStates(String[] workingStates)

### getAdminStates

    public String[] getAdminStates()

### setAdminStates

    public void setAdminStates(String[] adminStates)

### getComment

    public String getComment()

### setComment

    public void setComment(String comment)

### getFromPriority

    public String getFromPriority()

### setFromPriority

    public void setFromPriority(String fromPriority)

### getToPriority

    public String getToPriority()

### setToPriority

    public void setToPriority(String toPriority)

### getAssigneeContains

    public String getAssigneeContains()

### setAssigneeContains

    public void setAssigneeContains(String assigneeContains)

### getClaimantContains

    public String getClaimantContains()

### setClaimantContains

    public void setClaimantContains(String claimantContains)

### getOwnerContains

    public String getOwnerContains()

### setOwnerContains

    public void setOwnerContains(String ownerContains)

### isPreserveSearchCriteria

    public boolean isPreserveSearchCriteria()

### setPreserveSearchCriteria

    public void setPreserveSearchCriteria(boolean preserveSearchCriteria)

### getColumnsToDisplay

    public String getColumnsToDisplay()

### setColumnsToDisplay

    public void setColumnsToDisplay(String columnsToDisplay)

### isPreserveColumnDisplay

    public boolean isPreserveColumnDisplay()

### setPreserveColumnDisplay

    public void setPreserveColumnDisplay(boolean preserveColumnDisplay)

### getMaxResults

    public int getMaxResults()

### setMaxResults

    public void setMaxResults(int maxResults)

### getMaxRowsPerPage

    public int getMaxRowsPerPage()

### setMaxRowsPerPage

    public void setMaxRowsPerPage(int maxRowsPerPage)

### getCompletionDueDateStart

    public Date getCompletionDueDateStart()

### setCompletionDueDateStart

    public void setCompletionDueDateStart(Date completionDueDateStart)

### getCompletionDueDateEnd

    public Date getCompletionDueDateEnd()

### setCompletionDueDateEnd

    public void setCompletionDueDateEnd(Date completionDueDateEnd)

### isIncludeNullCompletionDueDate

    public boolean isIncludeNullCompletionDueDate()

### setIncludeNullCompletionDueDate

    public void setIncludeNullCompletionDueDate(boolean includeNullCompletionDueDate)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD